%define name	qsynth
%define version	0.1.3
%define release 1mdk

Name: 	 	%{name}
Summary: 	GUI for fluidsynth soundfont softward synthesizer.
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://qsynth.sourceforge.net/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt3-devel fluidsynth-devel
Requires:	fluidsynth

%description
QSynth is a fluidsynth GUI front-end application written in C++ around the Qt3
toolkit using Qt Designer. Eventually it may evolve into a softsynth
management application allowing the user to control and manage a variety of
command line softsynth but for the moment it wraps the excellent FluidSynth.
FluidSynth is a command line software synthesiser based on the Soundfont
specification.

%prep
%setup -q

%build
export PATH=/usr/lib/qt3/bin:$PATH
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="QSynth" longtitle="Soft Synth GUI" section="Multimedia/Sound"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 icons/%name.xpm $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 icons/%name.xpm $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 icons/%name.xpm $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/%name
%{_menudir}/%name
%{_iconsdir}/*.xpm
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Mon Mar 1 2004 Austin Acton <austin@mandrake.org> 0.1.3-1mdk
- 0.1.3

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org) 0.1.2-1mdk
- 0.1.2

* Tue Dec 30 2003 Austin Acton <austin@linux.ca> 0.1.0-1mdk
- 0.1.0

* Sat Dec 27 2003 Austin Acton <aacton@yorku.ca> 0.0.3-1mdk
- initial package
